var fs = require('fs');

// This is a certificate generated from the private key below,
// with passphrase 12345.
// Only to be used for development purpose.
const cert = `-----BEGIN CERTIFICATE-----
MIIC7jCCAdYCCQDtU4DGvAqWKjANBgkqhkiG9w0BAQUFADA5MREwDwYDVQQHDAhH
RGV2ZWxvcDERMA8GA1UECgwIR0RldmVsb3AxETAPBgNVBAMMCEdEZXZlbG9wMB4X
DTE4MDkwOTIyMjkzMFoXDTE4MTAwOTIyMjkzMFowOTERMA8GA1UEBwwIR0RldmVs
b3AxETAPBgNVBAoMCEdEZXZlbG9wMREwDwYDVQQDDAhHRGV2ZWxvcDCCASIwDQYJ
KoZIhvcNAQEBBQADggEPADCCAQoCggEBALO+ENzGK72LoF392sXtUl5Ot59vSIbv
Q8PXZR9ln1PQtfp/dAkLyIl4nQ6St2IK7BpTnB/xkJY3zOFnqcdmh8Lr2qCCSblb
0+nRlETPSkV5YMSuZzVGpRjszQCR3c+l4LGVm8U91NmEQarhwgXrLGIYNR6j5PNt
r2Swj/nFysOUD93KMmO+Mq0A9EE2fB8QCDaXOlAp2vN7yr4CBUAkYDc7qD1JBxIo
G1de2HPrlvm+8OVG3c5HUF1sYbW58f2gGS9NK4+3uLFb6+5OvTqCUdGVTASiwD1o
BHvEFuPZsMPorS0VhWoN3/8vnhcD4+VP6w+wJz/zB089luc6UmFq4a8CAwEAATAN
BgkqhkiG9w0BAQUFAAOCAQEAA4WnOgR9O89DuoNdP2/5LGFsVQ2yIV87zD26KSFa
9iHJGXS7thKAoxt4kDsap6Xu/Pbcnd4ounvNUwBxTwdYpKyrTCFmTzMfm04AmKRq
nB1tOYFu292UEfliLEllLOTa7qaegvaTosptgTTIAnmILvg94+9RPHsl0KikcSmU
8+sJzYscNU43ndouXscPzEZ5FLu8aM+RvWEqDZaXYVpT9jT5dymwGdSapHiLS9Ht
dvc+WEVll0GLtqGMzR/grVOzMdCQp30sMcTCI75arderUMTDc5Q4wiJRJDbvDTft
019N5rvz1/c978m3pu6eyM5Mm3K/BHHZycjSY6T7wGpsGw==
-----END CERTIFICATE-----`;

// Private key used to generate the certificate.
// Only to be used for development purpose.
const key = `-----BEGIN RSA PRIVATE KEY-----
MIIEowIBAAKCAQEAs74Q3MYrvYugXf3axe1SXk63n29Ihu9Dw9dlH2WfU9C1+n90
CQvIiXidDpK3YgrsGlOcH/GQljfM4Wepx2aHwuvaoIJJuVvT6dGURM9KRXlgxK5n
NUalGOzNAJHdz6XgsZWbxT3U2YRBquHCBessYhg1HqPk822vZLCP+cXKw5QP3coy
Y74yrQD0QTZ8HxAINpc6UCna83vKvgIFQCRgNzuoPUkHEigbV17Yc+uW+b7w5Ubd
zkdQXWxhtbnx/aAZL00rj7e4sVvr7k69OoJR0ZVMBKLAPWgEe8QW49mww+itLRWF
ag3f/y+eFwPj5U/rD7AnP/MHTz2W5zpSYWrhrwIDAQABAoIBAHurdqawoz/TZg/F
rlUoqNfCiYzlYJ2W2qVQ+n7TyQA+RjeIoinnNZ+AoW95ezu2ECU9Cdrgtn7k/c7J
KIPOA/MVnGN7wYYLrI7gaIe/qHaMwQwSg2igps+zfom500gf9a26Jmdb16uh2Bzf
IEQ6P1tvFH10fv8OpPM+mJFeidhuSn1pPxATItDX6lguXOcQhefFNZx9Q/QlZFV5
FmLtUEk8GLBIQou9tKHLSKJt7eQKHE541pXl8Q5oZQq9f6ah+OfNNC9rToYsWK3O
jEx7RtvxUVKKDWe+oAVW5FmyG3uFM6HUEt4spwsoLUkA4caibAps5whAxz88FkZ7
H8ribUECgYEA7jcd5UXAPL0S+i0mzSVAKMTtsMRMiftEdIT6RFj66nBGq6Ul4xPs
neG5SW4HSz3zb7OurARsUf6MHBfEtGk3N9wU+hd5ysglMlen7oAPtqLR4siuKdBd
lVHCJCOocWdUsMh20DvOkmBTiiWoJx/V7jz88zO2RR5Z7wWdRmXU6ucCgYEAwSlj
Zvmwu7YNHZ4bJTyjChzfE9ul50vHMkfZ7WPcBsKvfGBbtzdjy/H0+z632i0/7rGf
QELqMSVvuodNc7HgfeT6OFjWi94GSvuZGhr8kWBzLCuQH2t/EdRsTuarnsyB6gyx
HvJvJPjn4lbg6SAERV+35VTW6TSGyiKCGdLsgfkCgYEA7Kq3uexlhDK44vLu5MvI
hXi5SXCNNlz78uOWnUbl6vsnSyrljEhkQatb4Xc+KePfsq+Kr34pfADwhIycsj0C
Ti4KbTnbl7rnMa/iuNJkSihTbAPC/On1v/8dabg/hoOJoaVYXaO9pLGs7chh2pUH
fwz6pklPIjZ4VT93tNRBCCsCgYBH9D/4Exk3w4g9OTFJfL4LPVgIELFLaNoKK+PN
X36N8iXmwgpIRNTjGv20PdfE6UhAhWAaUxLkPdrR9Cbw6xkCLLLdHJLHRWy4r+KH
a/gbu38LvCqS2btbC/NQrPLPU8UtR48PRSYL8sCGevCLRwbwRMi/IAxykMOJNrOa
JQ0/GQKBgBbJNJLda2xSYx38KcRy4XoGaizbI3+EOZ0cyzyw9lI7aP+SB7kchqNl
sqczMCnO4bcMHH0Oasnedk1KMALpeg+B6X+ClAr+9NvAmMPztkptVF+zyVjGBv3k
8Ez4sDAz7Nnb2k9Za1gYRjsYBw3UfXkAkpAEUyW88YaBnQHfa7s9
-----END RSA PRIVATE KEY-----`;

module.exports = {
  cert: cert,
  key: key,
  passphrase: '12345',
};
